<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC
    "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
    "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">

<hibernate-mapping
    default-lazy="false"
    auto-import="true"
    default-access="property"
    default-cascade="all"
    package="gov.va.med.esr.common.model.report">

    <class
        name="ReportRegistryType"
        table="RPT_REGISTRY">

        <id
            name="identifier"
            type="big_decimal"
            column="RPT_REGISTRY_ID">
			          
            <generator class="gov.va.med.fw.persistent.hibernate.BigSequenceGenerator">
                <param name="sequence">transaction_s</param>
            </generator>
        </id> 

        <version
            name="version"
            type="java.lang.Integer"
            column="RECORD_MODIFIED_COUNT">
        </version>

        <many-to-one
            name="registryType"
            class="gov.va.med.esr.common.model.lookup.RegistryType"
            cascade="none"
            insert="true"
            update="false">
            <column name="REGISTRY_TYPE_ID" />
        </many-to-one>		
				
        <many-to-one
            name="reportSetup"
            class="gov.va.med.esr.common.model.report.ReportSetup"
            cascade="none"
            insert="true"
            update="false">
            <column name="RPT_SCHEDULED_REPORT_ID" />
        </many-to-one>		
		
        <property name="createdOn" column="RECORD_CREATED_DATE" type="timestamp" not-null="true" update="false"/>
        <property name="modifiedOn" column="RECORD_MODIFIED_DATE" type="timestamp" not-null="true"/>
		<property name="createdBy" column="RECORD_CREATED_BY" update="false" type="gov.va.med.fw.persistent.hibernate.AuditUserType"/> 
		<property name="modifiedBy" column="RECORD_MODIFIED_BY" type="gov.va.med.fw.persistent.hibernate.AuditUserType"/>
    </class>
</hibernate-mapping>
